View Issue Details

IDProjectCategoryView StatusLast Update
0002656Ham Radio DeluxeBugpublic2018-05-04 16:23
ReporterK7ZCZAssigned ToWA9PIE 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0002656: CDN prevents access to Logbook country
DescriptionI am unable to download LogbookCountryDataEx.xml from the HRD CDN.

I've tried with IE, FireFox, Chrome on Windows; and Safari and Chrome on OS X. I've tried with Firefox and curl in Ubuntu.

The issue seems specific to the CDN endpoint I connect to, which is 94.100.23.126.

The attached files include a packet capture of a GET request, the headers from my web browser, and the output of "curl -v https://cdn2.ham-radio-deluxe.com/LogbookCountryDataEx.xml" from a Linux machine. This information should provide enough detail to diagnose and repair the issue on the CDN system.
Steps To Reproduce1) Open a web browser.
2) go to https://cdn2.ham-radio-deluxe.com/LogbookCountryDataEx.xml
3) The file fails do download. There result is a plain-text response that says "404 - File not found"
Additional InformationI've marked this major/high as it is a significant impediment to my work. With the enhancements in Mantis 2655, it will affect any user who happens to connect to the same CDN endpoint ... and maybe other CDN endpoints, as well.

If we're going to use a CDN, we should put in place appropriate monitoring for it to avoid wide-spread issues caused by availability or configuration problems.
TagsNo tags attached.
ModuleLogbook
Sub-Module(select)
TestingNot Started

Relationships

related to 0002700 closedK7ZCZ Update Ham Radio Deluxe domain in URLs or links in the application 

Activities

K7ZCZ

2018-04-05 14:41

administrator  

HRDCDN404.pcapng (2,072 bytes)

K7ZCZ

2018-04-05 14:43

administrator  

ChromeHeaders.txt (1,025 bytes)
Request URL: https://cdn2.ham-radio-deluxe.com/LogbookCountryDataEx.xml
Request Method: GET
Status Code: 404 
Remote Address: 94.100.23.126:443
Referrer Policy: no-referrer-when-downgrade
cache-control: public, max-age=2592000
cdn-cache: HIT
cdn-pullzone: 30613
cdn-requestid: 0213c86dde650c9d736399bb7a38cba2
cdn-uid: 29cd2e4a-0479-49c4-ae25-2926a34bcd3d
content-encoding: br
content-type: text/html
date: Thu, 05 Apr 2018 19:39:57 GMT
server: BunnyCDN-SIL1-295
status: 404
vary: Accept-Encoding
:authority: cdn2.ham-radio-deluxe.com
:method: GET
:path: /LogbookCountryDataEx.xml
:scheme: https
accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8
accept-encoding: gzip, deflate, br
accept-language: en-US,en;q=0.9
cache-control: max-age=0
cookie: __unam=a83e0e0-161c5277d06-256224fc-27
dnt: 1
upgrade-insecure-requests: 1
user-agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/65.0.3325.181 Safari/537.36


ChromeHeaders.txt (1,025 bytes)

K7ZCZ

2018-04-05 14:52

administrator   ~0004706

Here's the output of dig on the CDN endpoint


mikeblas@ubuntu15:~$ dig cdn2.ham-radio-deluxe.com


; <<>> DiG 9.10.3-P4-Ubuntu <<>> cdn2.ham-radio-deluxe.com
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 17224
;; flags: qr rd ra; QUERY: 1, ANSWER: 2, AUTHORITY: 0, ADDITIONAL: 1

;; OPT PSEUDOSECTION:
; EDNS: version: 0, flags:; udp: 4000
;; QUESTION SECTION:
;cdn2.ham-radio-deluxe.com. IN A

;; ANSWER SECTION:
cdn2.ham-radio-deluxe.com. 1211 IN CNAME pullzone1.b-cdn.net.
pullzone1.b-cdn.net. 10 IN A 94.100.23.126

;; Query time: 36 msec
;; SERVER: 127.0.1.1#53(127.0.1.1)
;; WHEN: Thu Apr 05 12:45:58 PDT 2018
;; MSG SIZE rcvd: 103

K7ZCZ

2018-04-05 14:53

administrator   ~0004707

output of curl -v on linux:

mikeblas@ubuntu16:~$ curl -v https://cdn2.ham-radio-deluxe.com/LogbookCountryDataEx.xml
* Trying 94.100.23.126...
* Connected to cdn2.ham-radio-deluxe.com (94.100.23.126) port 443 (#0)
* found 148 certificates in /etc/ssl/certs/ca-certificates.crt
* found 604 certificates in /etc/ssl/certs
* ALPN, offering http/1.1
* SSL connection using TLS1.2 / ECDHE_RSA_AES_128_GCM_SHA256
* server certificate verification OK
* server certificate status verification SKIPPED
* common name: cdn2.ham-radio-deluxe.com (matched)
* server certificate expiration date OK
* server certificate activation date OK
* certificate public key: RSA
* certificate version: #3
* subject: CN=cdn2.ham-radio-deluxe.com
* start date: Wed, 07 Mar 2018 18:31:05 GMT
* expire date: Tue, 05 Jun 2018 18:31:05 GMT
* issuer: C=US,O=Let's Encrypt,CN=Let's Encrypt Authority X3
* compression: NULL
* ALPN, server accepted to use http/1.1
> GET /LogbookCountryDataEx.xml HTTP/1.1
> Host: cdn2.ham-radio-deluxe.com
> User-Agent: curl/7.47.0
> Accept: */*
>
< HTTP/1.1 404 Not Found
< Date: Thu, 05 Apr 2018 19:53:36 GMT
< Content-Type: text/html
< Transfer-Encoding: chunked
< Connection: keep-alive
< Vary: Accept-Encoding
< CDN-PullZone: 30613
< CDN-Uid: 29cd2e4a-0479-49c4-ae25-2926a34bcd3d
< Cache-Control: public, max-age=2592000
< CDN-RequestId: f3ecaec82aa9d8406ce85cfaf5345134
< Server: BunnyCDN-SIL1-295
< CDN-Cache: HIT
<
404 - File not found
* Connection #0 to host cdn2.ham-radio-deluxe.com left intact

K7ZCZ

2018-04-07 18:14

administrator   ~0004754

A workaround for the failed CDN was added with this checkin.
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4031

I believe we still don't have active monitoring for the CDN, so this issue remains open.

WA9PIE

2018-05-02 11:22

administrator   ~0004922

This is complete. I flushed the cache in the CDN.

WA9PIE

2018-05-02 11:25

administrator   ~0004923

This was done after 806 was released. It is unrelated to a build.

K7ZCZ

2018-05-03 06:38

administrator   ~0004924

Is it not possible to monitor the CDN to know when requests are failing? If this happens again, users will be stuck without a download, and we won't know until it's already a problem.

Issue History

Date Modified Username Field Change
2018-04-05 14:38 K7ZCZ New Issue
2018-04-05 14:41 K7ZCZ File Added: HRDCDN404.pcapng
2018-04-05 14:43 K7ZCZ File Added: ChromeHeaders.txt
2018-04-05 14:52 K7ZCZ Note Added: 0004706
2018-04-05 14:53 K7ZCZ Note Added: 0004707
2018-04-07 18:14 K7ZCZ Note Added: 0004754
2018-04-30 18:19 K7ZCZ Assigned To => WA9PIE
2018-04-30 18:19 K7ZCZ Status new => assigned
2018-05-02 11:22 WA9PIE Note Added: 0004922
2018-05-02 11:23 WA9PIE Status assigned => resolved
2018-05-02 11:23 WA9PIE Resolution open => fixed
2018-05-02 11:23 WA9PIE Steps to Reproduce Updated View Revisions
2018-05-02 11:24 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-05-02 11:25 WA9PIE Note Added: 0004923
2018-05-02 11:25 WA9PIE Status resolved => closed
2018-05-03 06:38 K7ZCZ Note Added: 0004924
2018-05-04 16:23 K7ZCZ Relationship added related to 0002700